Bij1 Wings sitemap generator
============================
To get this up and running you'll need to have
[Pipenv](https://pipenv.readthedocs.io/en/latest/) and
[Pyenv](https://github.com/pyenv/pyenv) running on your machine.

Pipenv takes care of dependency management and the creation of virtual envs.
Pyenv takes care of handling the various versions of Python. They both work
nicely together, so whenever we want to upgrade to a newer Python version,
Pipenv can automatically setup a new Python version from Pyenv.

To setup this project:
- clone this repository wherever you want
- move to the root directory of this repository
- run `pipenv sync -d` to install all the dependencies defined in Pipfile.lock
  (the -d is added to make sure you also install development libraries if there
  are any)
  should be a direct dump from the Wings API
- you will need a json file with a complete content dump from Wings (check
  download.sh.example for how to download it using Curl and GraphQL. You'll
  need to replace APP_KEY and WINGS_PROJECT)
- now you can start the sitemap generator with
`pipenv run sitemap.py [YOUR_JSON_FILENAME] [OUTPUT_XLSX_FILENAME]` 
